Loading...
Searching...
No Matches
pcl::PointXYZLNormal Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, a label, together with normal coordinates and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZLNormal:

## Public Member Functions

constexpr | PointXYZLNormal (const _PointXYZLNormal &p)
constexpr | PointXYZLNormal (std::uint32_t _label=0u)
constexpr | PointXYZLNormal (float _x, float _y, float _z, std::uint32_t _label=0u)
constexpr | PointXYZLNormal (float _x, float _y, float _z, std::uint32_t _label, float n_x, float n_y, float n_z, float _curvature=0.f)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZLNormal &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZLNormal
union { |
struct { |
std::uint32_t label |
float curvature |
} |  |
float data_c [4] |
}; |  |

## Detailed Description

A point structure representing Euclidean xyz coordinates, a label, together with normal coordinates and the surface curvature estimate.

Definition at line 1043 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZLNormal() [1/4]

constexpr pcl::PointXYZLNormal::PointXYZLNormal | ( | const _PointXYZLNormal & | p | ) |

inline constexpr

Definition at line 1045 of file point_types.hpp.

## PointXYZLNormal() [2/4]

constexpr pcl::PointXYZLNormal::PointXYZLNormal | ( | std::uint32_t | _label = `0u` | ) |

inline constexpr

Definition at line 1048 of file point_types.hpp.

## PointXYZLNormal() [3/4]

constexpr pcl::PointXYZLNormal::PointXYZLNormal | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | std::uint32_t | _label = `0u`
| ) |  |

inline constexpr

Definition at line 1050 of file point_types.hpp.

## PointXYZLNormal() [4/4]

constexpr pcl::PointXYZLNormal::PointXYZLNormal | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | std::uint32_t | _label,
|  | float | n_x,
|  | float | n_y,
|  | float | n_z,
|  | float | _curvature = `0.f`
| ) |  |

inline constexpr

Definition at line 1053 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointXYZLNormal & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp